"use strict";

require("core-js/modules/es6.symbol.js");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ListChatRoom = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

require("core-js/modules/web.dom.iterable.js");

var _antd = require("antd");

var _react = require("react");

var _graphqlChatRoom = require("../Graphql/graphqlChatRoom");

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

const ListChatRoom = _ref => {
  var _chatRooms$data;

  let {
    app_id,
    people,
    onClick: _onClick,
    others
  } = _ref;
  const [chatRooms, setChatRooms] = (0, _react.useState)({
    isRefresh: true
  });
  (0, _react.useEffect)(() => {
    if (!(chatRooms.isRefresh && !chatRooms.isLoading)) return;
    setChatRooms(_objectSpread(_objectSpread({}, chatRooms), {}, {
      isLoading: true
    }));

    (async () => {
      const res = await (0, _graphqlChatRoom.listChatRoom)({
        app_id,
        people
      });
      setChatRooms({
        data: res.data.list_chat_room
      });
    })();
  }, [chatRooms]);
  return /*#__PURE__*/React.createElement("div", {
    className: ""
  }, /*#__PURE__*/React.createElement(_antd.List, {
    loading: chatRooms.isLoading,
    dataSource: ((_chatRooms$data = chatRooms === null || chatRooms === void 0 ? void 0 : chatRooms.data) !== null && _chatRooms$data !== void 0 ? _chatRooms$data : []).concat(others),
    renderItem: item => {
      var _item$other, _item$other2, _item$other3, _item$comment_last;

      return /*#__PURE__*/React.createElement(_antd.List.Item, {
        className: "relative hover:bg-gray-200 px-2",
        onClick: () => {
          if (_onClick) _onClick({
            people: item.other,
            unique: item.unique
          });
        }
      }, /*#__PURE__*/React.createElement("div", {
        className: "w-4 absolute absolute-y right-0 mr-3"
      }, /*#__PURE__*/React.createElement("div", {
        className: "pb-1x1 relative rounded-full overflow-hidden bg-gray-300"
      }, /*#__PURE__*/React.createElement("img", {
        alt: "",
        src: item === null || item === void 0 ? void 0 : (_item$other = item.other) === null || _item$other === void 0 ? void 0 : _item$other.avatar,
        className: "absolute h-full w-full object-cover"
      }))), /*#__PURE__*/React.createElement("div", {
        className: "flex items-center relative block"
      }, /*#__PURE__*/React.createElement("div", {
        className: "w-14 relative"
      }, /*#__PURE__*/React.createElement("span", {
        className: "z-10 absolute bottom-0 right-0 mr-0 h-4 w-4 block bg-red-500 rounded-full border-2 border-white"
      }), /*#__PURE__*/React.createElement("div", {
        className: "pb-1x1 relative rounded-full overflow-hidden bg-gray-300"
      }, /*#__PURE__*/React.createElement("img", {
        alt: "",
        src: item === null || item === void 0 ? void 0 : (_item$other2 = item.other) === null || _item$other2 === void 0 ? void 0 : _item$other2.avatar,
        className: "absolute h-full w-full object-cover"
      }))), /*#__PURE__*/React.createElement("figcaption", {
        className: "ml-2"
      }, /*#__PURE__*/React.createElement("p", null, item === null || item === void 0 ? void 0 : (_item$other3 = item.other) === null || _item$other3 === void 0 ? void 0 : _item$other3.name), /*#__PURE__*/React.createElement("p", {
        className: "text-gray-500"
      }, item === null || item === void 0 ? void 0 : (_item$comment_last = item.comment_last) === null || _item$comment_last === void 0 ? void 0 : _item$comment_last.content))));
    }
  }));
};

exports.ListChatRoom = ListChatRoom;